package arbol.com.daniminguet.es;

import java.io.File;
import java.io.IOException;

public class Arbol {
	
	public static void main(String args[])  throws IOException {
		String rutaString = "C:\\Users\\Dani\\Documents";
		
		File comprobarRuta = new File(rutaString);
		
		if(args.length >= 1) {
			rutaString = args[0];
		} else if (!comprobarRuta.exists()) {
			rutaString = ".";
		}
		
		File ruta = new File(rutaString);
		
		listarDirectoriosArchivos(ruta, "");
	}
	
	public static void listarDirectoriosArchivos(File ruta, String espacio) {
		System.out.println(espacio.concat(ruta.getName()));
        
        try {
        	if (ruta.isDirectory() && ruta.canRead()) {
                for (File elemento: ruta.listFiles()) {
            		listarDirectoriosArchivos(elemento, espacio.concat("|--------->  "));
                }
            }
        } catch (NullPointerException npe) {
        }
    }
}
